Giganta-HTML5-CSS3-Boilerplate
==============================
Open-source html5 flexible css3 layout boilerplate template for web designers

Giganta Boilerplate is a professional front-end template that helps you build fast, robust, adaptable, and future-proof websites. Spend more time developing and less time reinventing the wheel.  It's based off of the HTML5 Boilerplate template, which adheres to today's latest web standards.  Whereas the HTML5 Boilerplate is best known for its simplicity, Giganta aims to do the opposite; boasting a collection of high-quality, professional-looking CSS3 styles, this template aims to give designers the most possible, so that they can quickly start styling based off of other good styles.  But it's not just about the front-end; Giganta is designed with performance in mind, all CSS minified with client-side JS (soon to be server-side with NodeJS).  Scripts are loaded in an optimal fashion, and concatinated.  CSS is optimized with LESS.

Best of all, code in the new Flex-box Model... and get support in IE 6+.  Even transitions have been made to work in the earlier versions of IE.

Get started in building nice-looking web pages now... with Giganta.

## Quick start

Clone the git repo - `git clone git://github.com/srsgores/Giganta-HTML5-CSS3-Boilerplate.git` - or [download it](https://github.com/srsgores/Giganta-HTML5-CSS3-Boilerplate/zipball/master)


## Core Features

* HTML5-ready.
* Latest version of jQuery, jQuery Mobile, and jQuery UI.
* Cross-browser-compatible (Chrome, Opera, Safari, Firefox 3.6+, IE6+).
* Uses Flex-Box layout... no need for a grid system!
* Scaling, flexible layout for all devices.
* Media queries template, for all modern tablet, iOS, and Android devices.
* Mobile-friendly jQuery mobile mode for devices.
* CSS normalizations and common bug fixes.
* Vendor prefix-free.  No need to use -moz, -webkit prefixes.
* CSS3-optimized.  All buttons in CSS3, including jQuery UI!
* LESS-ready.
* jQuery Mobile Lazy loader.
* Fully ajaxified (still in development).
* IE-specific classes for easier cross-browser control.
* Includes Sublime Text 2 snippets for easy front-end development
* A default print stylesheet, performance-optimized.
* Mobile browser optimizations.
* Protection against any stray `console.log` causing JavaScript errors in IE6/7.
* The latest jQuery via CDN, with a local fallback.
* A custom Modernizr build for feature detection.
* An optimized Google Analytics snippet.
* Apache server caching, compression, and other configuration defaults for Grade-A performance.
* Cross-domain Ajax and Flash.
* "Delete-key friendly." Easy to strip out parts you don't need.
* Extensive inline and accompanying documentation.

## Style/CSS/Front-end Features
* Thousands of lines of CSS code, including professional-looking CSS3 buttons, calendars, icons, and more!
* Comprehensive CSS3 transition library, compatible with Internet Explorer.
* CSS3 Ajax loaders.
* Sublime Text 2 code snippets to quickly make your content.


## Project information

* Source: http://github.com/h5bp/html5-boilerplate
* Web: http://html5boilerplate.com
* Docs: http://html5boilerplate.com/docs
* Twitter: http://twitter.com/h5bp


## License

### Major components:

* GNU Public License... aka FREE